Skip to content
Start here

Create Prefix Delegation

client.Addressing.Prefixes.Delegations.New(ctx, prefixID, params) (*Delegations, error)
POST/accounts/{account_id}/addressing/prefixes/{prefix_id}/delegations

Create a new account delegation for a given IP prefix.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
IP Prefixes: Write
ParametersExpand Collapse
prefixID string

Identifier of an IP Prefix.

maxLength32
params PrefixDelegationNewParams
AccountID param.Field[string]

Path param: Identifier of a Cloudflare account.

maxLength32
CIDR param.Field[string]

Body param: IP Prefix in Classless Inter-Domain Routing format.

DelegatedAccountID param.Field[string]

Body param: Account identifier for the account to which prefix is being delegated.

maxLength32
ReturnsExpand Collapse
type Delegations struct{…}
ID stringoptional

Identifier of a Delegation.

maxLength32
CIDR stringoptional

IP Prefix in Classless Inter-Domain Routing format.

CreatedAt Timeoptional
formatdate-time
DelegatedAccountID stringoptional

Account identifier for the account to which prefix is being delegated.

maxLength32
ModifiedAt Timeoptional
formatdate-time
ParentPrefixID stringoptional

Identifier of an IP Prefix.

maxLength32

Create Prefix Delegation

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/addressing"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"),
    option.WithAPIEmail("user@example.com"),
  )
  delegations, err := client.Addressing.Prefixes.Delegations.New(
    context.TODO(),
    "2af39739cc4e3b5910c918468bb89828",
    addressing.PrefixDelegationNewParams{
      AccountID: cloudflare.F("258def64c72dae45f3e4c8516e2111f2"),
      CIDR: cloudflare.F("192.0.2.0/24"),
      DelegatedAccountID: cloudflare.F("b1946ac92492d2347c6235b4d2611184"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", delegations.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "d933b1530bc56c9953cf8ce166da8004",
    "cidr": "192.0.2.0/24",
    "created_at": "2014-01-01T05:20:00.12345Z",
    "delegated_account_id": "b1946ac92492d2347c6235b4d2611184",
    "modified_at": "2014-01-01T05:20:00.12345Z",
    "parent_prefix_id": "2af39739cc4e3b5910c918468bb89828"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "d933b1530bc56c9953cf8ce166da8004",
    "cidr": "192.0.2.0/24",
    "created_at": "2014-01-01T05:20:00.12345Z",
    "delegated_account_id": "b1946ac92492d2347c6235b4d2611184",
    "modified_at": "2014-01-01T05:20:00.12345Z",
    "parent_prefix_id": "2af39739cc4e3b5910c918468bb89828"
  }
}